var pressBackBtnTimes = 0;

function clearPressBackBtnTimes() {
	pressBackBtnTimes = 0;
}

function backToLogin() {
	// 返回登陆
	// 先判断之前有没有创建该WebView
	var loginPage = plus.webview.getWebviewById(loginPageID);
	if(loginPage) {
		loginPage.close();
	}
	loginPage = plus.webview.create("login.html", loginPageID);
	loginPage.show("slide-in-left", 400);
	//	mui.openWindow({
	//		createNew: false,
	//		url: "login.html",
	//		id: "login",
	//		show: {
	//			autoShow: true,
	//			aniShow: "slide-in-left",
	//			duration: 400
	//		}
	//	})
}

function forwardToGame() {
	// 进入游戏界面
	// 先判断之前有没有创建该WebView
	var gameContainerPage = plus.webview.getWebviewById(gameContainerID);
	if(gameContainerPage) {
		gameContainerPage.close();
	}
	gameContainerPage = plus.webview.create("gameContainer.html", gameContainerID);
	gameContainerPage.show("pop-in", 400);
}

function getUrlForGame(gameImg) {
	var gameIDValue = gameImg.getAttribute("gameID");
	if (gameIDValue != "101") { // 不是捕鱼暂不支持
		plus.nativeUI.alert(languagePack.lobbyNotSupportTip);
		return;
	}
	
	//	alert(gameID);
	var sidValue = plus.storage.getItem(sidKey);
	var languageValue = window.localStorage.getItem(languageKey);
	var isHTTPSValue = isHTTPS ? "1" : "0";
	// 是否试玩
	var isFreeTrial = plus.storage.getItem(isFreeTrialKey);
	var url;
	if(isFreeTrial == "yes") {
		url = urlPrefix + (isTestServer ? "test" : "") + "api.gg626.com/api/getGameUrl.do?sid=aaa&gameId=" + gameIDValue + "&lang=" + languageValue + "&ishttps=" + isHTTPSValue + "&trials=1";
	} else {
		url = urlPrefix + (isTestServer ? "test" : "") + "api.gg626.com/api/getGameUrl.do?sid=" + sidValue + "&gameId=" + gameIDValue + "&lang=" + languageValue + "&ishttps=" + isHTTPSValue;
	}
	//	plus.nativeUI.alert("获取到值 sidValue:" + sidValue + "\n" + "gameIDValue: " + gameIDValue + "\n" + "languageValue: " + languageValue + "\n");
	//	plus.nativeUI.alert("将访问 get game url: " + url);
	plus.nativeUI.showWaiting(languagePack.lobbyNowLoading);

	appGet(url, function(data) {
		plus.nativeUI.closeWaiting();
		var code = data[codeKey];
		if(code != "0") {
			plus.nativeUI.alert(languagePack.lobbyGetGameUrlFailded + data[msgKey]);
		} else {

			// 获取URL成功，储存
			plus.storage.setItem(currentGameUrlKey, data[currentGameUrlKey]);

			// 进入游戏
			forwardToGame();
			//			plus.nativeUI.alert(JSON.stringify(data));
		}

	}, function(xhr, type, errorThrown) {
		plus.nativeUI.closeWaiting();
		alert(languagePack.lobbyAccessServerFailed + errorThrown);
	});

}
mui.init();
mui.plusReady(function() {
	document.body.ontouchmove = function(e) {
		e.preventDefault();
	};

	// 替换背景(ipad)
	if (mui.os.ipad) {
		document.getElementById("backgroundImg").style.background = "url(../images/background_lobby_ipad.png)";
		document.getElementById("usernameBox").style.left = "16.455%";
		document.getElementById("usernameBox").style.top = "93.70%";
		document.getElementById("balanceBox").style.left = "60%";
		document.getElementById("balanceBox").style.top = "93.5%";
		document.getElementById('row').style.marginTop = "25%";
	}
	
	// 动态添加点击事件
	var gameImgsArr = document.getElementsByClassName("gameImg");
	for(var i = 0; i < gameImgsArr.length; i++) {
		var gameImg = gameImgsArr[i];
		gameImg.setAttribute("onclick", "getUrlForGame(this)");
	}

	// 退出按钮
	var backToLoginButton = document.getElementById("backToLogin");
	backToLoginButton.addEventListener('tap', function() {
		pressBackBtnTimes++;
		// 两秒内没按第二次就重新计次
		plus.nativeUI.toast(languagePack.lobbyPressAgainBackToLogin);
		setTimeout("clearPressBackBtnTimes()", 2000);
		//					alert("pressBackBtnTimes:" + pressBackBtnTimes);
		if(parseInt(pressBackBtnTimes) >= 2) {
			clearPressBackBtnTimes();
			backToLogin();
		}
	})
	// 获取金额和用户名
	// 先判断是否是试玩
	var isFreeTrialValue = plus.storage.getItem(isFreeTrialKey);
	var accountBox = document.getElementById("username");
	var balanceBox = document.getElementById("balance")
	if(isFreeTrialValue == "yes") {
		accountBox.innerHTML = languagePack.lobbyFreeTrial;
		balanceBox.innerHTML = formatMoney("2000.00", 2);
	} else {
		var account = plus.storage.getItem(accountKey);
		var balance = plus.storage.getItem(balanceKey);;
		if(account) {
			accountBox.innerHTML = account;
		}
		if(balance) {
			balanceBox.innerHTML = formatMoney(balance.toString(), 2);
		}
	}
}); // plus Ready end