var timeOut = 6000;

function appGet(url, successCB, errorCB) {
	mui.ajax({
		type: "get",
		url: url,
		async: true,
		dataType: "json",
		timeout: timeOut,
		success: function(data) {
			successCB(data);
		},
		error: function(xhr, type, errorThrown) {
			//			plus.nativeUI.toast("请求失败:" + errorThrown);
			errorCB(xhr, type, errorThrown);
		}
	});
}

/**
 * 是否存在指定函数 
 * @param funcName 函数名
 * @returns {Boolean} true or false
 */
function isExitsFunction(funcName) {
	try {
		if(typeof(eval(funcName)) == "function") {
			return true;
		}
	} catch(e) {}
	return false;
}

/**
 * 是否存在指定变量 
 * @param variableName 变量名
 * @returns {Boolean} true or false
 */
function isExitsVariable(variableName) {
	try {
		if(typeof(variableName) == "undefined") {
			return false;
		} else {
			return true;
		}
	} catch(e) {}
	return false;
}

/**
 * 格式化数字
 * @param s	金额
 * @param n	小数位数
 * @returns {String}
 */
function formatMoney(s, n) {
	n = n > 0 && n <= 20 ? n : 2;
	s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
	var l = s.split(".")[0].split("").reverse(),
		r = s.split(".")[1];
	t = "";
	for(i = 0; i < l.length; i++) {
		t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
	}
	return t.split("").reverse().join("") + "." + r;
}

function Trim(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "");
}