var accountName;
var isDebug = false;
var isTestServer = false;
var isHTTPS = true;
var isRememberAccountKey = "isRememberAccount";
var curKey = "cur";
var codeKey = "code";
var balanceKey = "balance";
var sidKey = "sid";
var accountKey = "account";
var msgKey = "msg";
var isFreeTrialKey = "isFreeTrial";
var languageKey = "language";
var gameIDKey = "gameID";
var urlPrefix = isHTTPS ? "https://" : "http://";
var currentGameUrlKey = "url";
// page ID
var lobbyPageID = "lobby";
var loginPageID = "login";
var gameContainerID = "gameContainer";
var logoutPageID = "logout";
var gameID = "game";

// 包含语言包js
var includingLanguageJS = function() {
	// 获取当前语言
	var currentLanguage = window.localStorage.getItem(languageKey);
	if(!currentLanguage) {
		currentLanguage = 'zh-CN';
		window.localStorage.setItem(languageKey, currentLanguage);
	}
	var script = document.createElement('script');
	script.type = 'text/javascript';
	script.onload = function() {
		if(isExitsFunction(dealingWithInternationalization)) {
			// 处理国际化
			dealingWithInternationalization();
		}
	}
	script.src = '../languagePacks/' + currentLanguage + ".js";
	document.getElementsByTagName('head')[0].appendChild(script);
}
includingLanguageJS();